diff -Pcr mfm-1.5/mfm.c mfm-1.5-jp/mfm.c
*** mfm-1.5/mfm.c	Fri May 12 02:58:52 2000
--- mfm-1.5-jp/mfm.c	Sat Jul 29 01:32:18 2000
***************
*** 248,254 ****
    gtk_box_pack_start(GTK_BOX(box),mfmpixwid,FALSE,FALSE,15);
    gtk_widget_show(mfmpixwid);
  #endif
- 
    label=gtk_label_new(text);
    gtk_label_set_justify(GTK_LABEL(label),GTK_JUSTIFY_LEFT);
    gtk_box_pack_start(GTK_BOX(box),label,FALSE,FALSE,15);
--- 248,253 ----
***************
*** 413,419 ****
      {
        if(debug)
  	{
! 	  printf("  didn´t find %s\n",cfname);
  	  printf("End read_configfile()\n");
  	}
        return(1);
--- 412,418 ----
      {
        if(debug)
  	{
! 	  printf("  didn´ô find %s\n",cfname);
  	  printf("End read_configfile()\n");
  	}
        return(1);
***************
*** 907,913 ****
    if(debug)
      printf("  creating dialog\n");
    progressdialog=gtk_dialog_new();
!   gtk_window_set_title(GTK_WINDOW(progressdialog),"Copying files. Please wait.");
    gtk_widget_set_usize(GTK_WIDGET(progressdialog),300,0);
    gtk_signal_connect(GTK_OBJECT(progressdialog),"delete_event",GTK_SIGNAL_FUNC(dialogclose_event),&msg);
  #ifndef OLDGTK
--- 906,912 ----
    if(debug)
      printf("  creating dialog\n");
    progressdialog=gtk_dialog_new();
!   gtk_window_set_title(GTK_WINDOW(progressdialog),"¥Õ¥¡¥¤¥ë¤ò¥³¥Ô¡¼¤·¤Æ¤¤¤Þ¤¹... ¤·¤Ð¤é¤¯¤ªÂÔ¤Á¤¯¤À¤µ¤¤¡£");
    gtk_widget_set_usize(GTK_WIDGET(progressdialog),300,0);
    gtk_signal_connect(GTK_OBJECT(progressdialog),"delete_event",GTK_SIGNAL_FUNC(dialogclose_event),&msg);
  #ifndef OLDGTK
***************
*** 919,925 ****
    gtk_box_pack_start(GTK_BOX(GTK_DIALOG(progressdialog)->vbox),progressbar,TRUE,TRUE,5);
    gtk_widget_show(progressbar);
  
!   progresslabel=gtk_label_new("Copying files...\n\nThis progressbar will be updated\nafter each copied file.");
    gtk_box_pack_start(GTK_BOX(GTK_DIALOG(progressdialog)->vbox),progresslabel,TRUE,TRUE,5);
    gtk_widget_show(progresslabel);
    
--- 918,924 ----
    gtk_box_pack_start(GTK_BOX(GTK_DIALOG(progressdialog)->vbox),progressbar,TRUE,TRUE,5);
    gtk_widget_show(progressbar);
  
!   progresslabel=gtk_label_new("¥Õ¥¡¥¤¥ë¤ò¥³¥Ô¡¼¤·¤Æ¤¤¤Þ¤¹...\n\nThis progressbar will be updated\nafter each copied file.");
    gtk_box_pack_start(GTK_BOX(GTK_DIALOG(progressdialog)->vbox),progresslabel,TRUE,TRUE,5);
    gtk_widget_show(progresslabel);
    
***************
*** 1639,1645 ****
  
  static gint sortnew(GtkCList *clist, gconstpointer ptr1, gconstpointer ptr2)
  {
!   /* copied from GTK´s gtkclist.c and modified */
    if(clist->sort_column==2)
      {
        char *text1 = NULL;
--- 1638,1644 ----
  
  static gint sortnew(GtkCList *clist, gconstpointer ptr1, gconstpointer ptr2)
  {
!   /* copied from GTK´ó gtkclist.c and modified */
    if(clist->sort_column==2)
      {
        char *text1 = NULL;
***************
*** 1749,1764 ****
  GtkWidget *create_side(side *whichside,char *copytext)
  {
    GtkItemFactoryEntry menu_items[] = {
!        { "/_File",                    NULL,         NULL,        0,       "<Branch>"       },
!        { "/File/Delete",              NULL,         NULL,        0,       NULL             },
!        { "/File/Rename",              NULL,         NULL,        0,       NULL             },
!        { "/File/Print",               NULL,         NULL,        0,       NULL             },
!        { "/File/Make directory",      NULL,         NULL,        0,       NULL             },
!        { "/_View",                    NULL,         NULL,        0,       "<Branch>"       },
!        { "/View/Refresh",             NULL,         NULL,        0,       NULL             },
!        { "/_Select",                  NULL,         NULL,        0,       "<Branch>"       },
!        { "/Select/All",               NULL,         NULL,        0,       NULL             },
!        { "/Select/None",              NULL,         NULL,        0,       NULL             },
       };
    GtkItemFactory *item_factory;
    GtkWidget *popup_item;
--- 1748,1763 ----
  GtkWidget *create_side(side *whichside,char *copytext)
  {
    GtkItemFactoryEntry menu_items[] = {
!        { "/_F ¥Õ¥¡¥¤¥ë",                    NULL,         NULL,        0,       "<Branch>"       },
!        { "/F ¥Õ¥¡¥¤¥ë/ºï½ü",              NULL,         NULL,        0,       NULL             },
!        { "/F ¥Õ¥¡¥¤¥ë/Ì¾Á°ÊÑ¹¹",              NULL,         NULL,        0,       NULL             },
!        { "/F ¥Õ¥¡¥¤¥ë/°õºþ",               NULL,         NULL,        0,       NULL             },
!        { "/F ¥Õ¥¡¥¤¥ë/¥Õ¥©¥ë¥ÀºîÀ®",      NULL,         NULL,        0,       NULL             },
!        { "/_V É½¼¨",                    NULL,         NULL,        0,       "<Branch>"       },
!        { "/V É½¼¨/°ìÍ÷¹¹¿·",             NULL,         NULL,        0,       NULL             },
!        { "/_S ÁªÂò",                  NULL,         NULL,        0,       "<Branch>"       },
!        { "/S ÁªÂò/Á´¤ÆÁªÂò",               NULL,         NULL,        0,       NULL             },
!        { "/S ÁªÂò/ÁªÂò²ò½ü",              NULL,         NULL,        0,       NULL             },
       };
    GtkItemFactory *item_factory;
    GtkWidget *popup_item;
***************
*** 1778,1796 ****
    item_factory=gtk_item_factory_new(GTK_TYPE_MENU_BAR,"<main>",NULL);
    gtk_item_factory_create_items (item_factory,sizeof(menu_items)/sizeof(menu_items[0]),menu_items,NULL);
    menubar=gtk_item_factory_get_widget(item_factory,"<main>");
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/File/Delete")),
  		     "activate",GTK_SIGNAL_FUNC(filedelete_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/File/Rename")),
  		     "activate",GTK_SIGNAL_FUNC(filerename_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/File/Print")),
  		     "activate",GTK_SIGNAL_FUNC(fileprint_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/File/Make directory")),
  		     "activate",GTK_SIGNAL_FUNC(mkdir_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/View/Refresh")),
  		     "activate",GTK_SIGNAL_FUNC(refresh_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/Select/All")),
  		     "activate",GTK_SIGNAL_FUNC(selectall_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/Select/None")),
  		     "activate",GTK_SIGNAL_FUNC(selectnone_event),whichside);
  
    gtk_box_pack_start (GTK_BOX (inbox),menubar,TRUE,TRUE,5);
--- 1777,1795 ----
    item_factory=gtk_item_factory_new(GTK_TYPE_MENU_BAR,"<main>",NULL);
    gtk_item_factory_create_items (item_factory,sizeof(menu_items)/sizeof(menu_items[0]),menu_items,NULL);
    menubar=gtk_item_factory_get_widget(item_factory,"<main>");
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/F ¥Õ¥¡¥¤¥ë/ºï½ü")),
  		     "activate",GTK_SIGNAL_FUNC(filedelete_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/F ¥Õ¥¡¥¤¥ë/Ì¾Á°ÊÑ¹¹")),
  		     "activate",GTK_SIGNAL_FUNC(filerename_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/F ¥Õ¥¡¥¤¥ë/°õºþ")),
  		     "activate",GTK_SIGNAL_FUNC(fileprint_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/F ¥Õ¥¡¥¤¥ë/¥Õ¥©¥ë¥ÀºîÀ®")),
  		     "activate",GTK_SIGNAL_FUNC(mkdir_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/V É½¼¨/°ìÍ÷¹¹¿·")),
  		     "activate",GTK_SIGNAL_FUNC(refresh_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/S ÁªÂò/Á´¤ÆÁªÂò")),
  		     "activate",GTK_SIGNAL_FUNC(selectall_event),whichside);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/S ÁªÂò/ÁªÂò²ò½ü")),
  		     "activate",GTK_SIGNAL_FUNC(selectnone_event),whichside);
  
    gtk_box_pack_start (GTK_BOX (inbox),menubar,TRUE,TRUE,5);
***************
*** 1832,1841 ****
    gtk_box_pack_start(GTK_BOX(box),whichside->list,TRUE,TRUE,0);
  #endif
    gtk_clist_set_column_title(GTK_CLIST(whichside->list),0,(gchar *) "");
!   gtk_clist_set_column_title(GTK_CLIST(whichside->list),1,(gchar *) "Filename");
!   gtk_clist_set_column_title(GTK_CLIST(whichside->list),2,(gchar *) "Size");
!   gtk_clist_set_column_title(GTK_CLIST(whichside->list),3,(gchar *) "Date");
!   gtk_clist_set_column_title(GTK_CLIST(whichside->list),4,(gchar *) "Time");
  
  #ifdef NOPIXMAPS
    gtk_clist_set_column_width(GTK_CLIST(whichside->list),0,0);
--- 1831,1840 ----
    gtk_box_pack_start(GTK_BOX(box),whichside->list,TRUE,TRUE,0);
  #endif
    gtk_clist_set_column_title(GTK_CLIST(whichside->list),0,(gchar *) "");
!   gtk_clist_set_column_title(GTK_CLIST(whichside->list),1,(gchar *) "¥Õ¥¡¥¤¥ëÌ¾");
!   gtk_clist_set_column_title(GTK_CLIST(whichside->list),2,(gchar *) "Âç¤­¤µ");
!   gtk_clist_set_column_title(GTK_CLIST(whichside->list),3,(gchar *) "ÆüÉÕ");
!   gtk_clist_set_column_title(GTK_CLIST(whichside->list),4,(gchar *) "»þ¹ï");
  
  #ifdef NOPIXMAPS
    gtk_clist_set_column_width(GTK_CLIST(whichside->list),0,0);
***************
*** 1881,1899 ****
  
    /* context menu */
    whichside->contextmenu=gtk_menu_new();
!   popup_item=gtk_menu_item_new_with_label("Delete");
    gtk_menu_append(GTK_MENU(whichside->contextmenu),popup_item);
    gtk_signal_connect(GTK_OBJECT(popup_item),"activate",
  		     GTK_SIGNAL_FUNC(filedelete_event),
  		     whichside);
    gtk_widget_show (popup_item);
!   popup_item=gtk_menu_item_new_with_label("Rename");
    gtk_menu_append(GTK_MENU(whichside->contextmenu),popup_item);
    gtk_signal_connect(GTK_OBJECT(popup_item),"activate",
  		     GTK_SIGNAL_FUNC(filerename_event),
  		     whichside);
    gtk_widget_show (popup_item);
!   popup_item=gtk_menu_item_new_with_label("Print");
    gtk_menu_append(GTK_MENU(whichside->contextmenu),popup_item);
    gtk_signal_connect(GTK_OBJECT(popup_item),"activate",
  		     GTK_SIGNAL_FUNC(fileprint_event),
--- 1880,1898 ----
  
    /* context menu */
    whichside->contextmenu=gtk_menu_new();
!   popup_item=gtk_menu_item_new_with_label("ºï½ü");
    gtk_menu_append(GTK_MENU(whichside->contextmenu),popup_item);
    gtk_signal_connect(GTK_OBJECT(popup_item),"activate",
  		     GTK_SIGNAL_FUNC(filedelete_event),
  		     whichside);
    gtk_widget_show (popup_item);
!   popup_item=gtk_menu_item_new_with_label("Ì¾Á°ÊÑ¹¹");
    gtk_menu_append(GTK_MENU(whichside->contextmenu),popup_item);
    gtk_signal_connect(GTK_OBJECT(popup_item),"activate",
  		     GTK_SIGNAL_FUNC(filerename_event),
  		     whichside);
    gtk_widget_show (popup_item);
!   popup_item=gtk_menu_item_new_with_label("°õºþ");
    gtk_menu_append(GTK_MENU(whichside->contextmenu),popup_item);
    gtk_signal_connect(GTK_OBJECT(popup_item),"activate",
  		     GTK_SIGNAL_FUNC(fileprint_event),
***************
*** 1905,1911 ****
  		     GTK_SIGNAL_FUNC(copy_event),
  		     whichside);
    gtk_widget_show (popup_item);
!   popup_item=gtk_menu_item_new_with_label("Make directory");
    gtk_menu_append(GTK_MENU(whichside->contextmenu),popup_item);
    gtk_signal_connect(GTK_OBJECT(popup_item),"activate",
  		     GTK_SIGNAL_FUNC(mkdir_event),
--- 1904,1910 ----
  		     GTK_SIGNAL_FUNC(copy_event),
  		     whichside);
    gtk_widget_show (popup_item);
!   popup_item=gtk_menu_item_new_with_label("¥Õ¥©¥ë¥ÀºîÀ®");
    gtk_menu_append(GTK_MENU(whichside->contextmenu),popup_item);
    gtk_signal_connect(GTK_OBJECT(popup_item),"activate",
  		     GTK_SIGNAL_FUNC(mkdir_event),
***************
*** 1929,1945 ****
  #endif
    GdkColor dircolor,linkcolor;
    GtkItemFactoryEntry menu_items[] = {
!        { "/_File",                         NULL,         NULL,           0,   "<Branch>"       },
!        { "/File/Quit",                     "<control>Q", NULL,           0,   NULL             },
!        { "/_Options",                      NULL,         NULL,           0,   "<Branch>"       },
!        { "/Options/Show dot files",        "<control>D", NULL,           0,   "<CheckItem>"    },
!        { "/Options/Text mode for copying", "<control>T", NULL,           0,   "<CheckItem>"    },
!        { "/Options/Separator",             NULL,         NULL,           0,   "<Separator>"    },
!        { "/Options/Configure mfm ...",     "<control>C", NULL,           0,   NULL             },
!        { "/_Help",                         NULL,         NULL,           0,   "<LastBranch>"   },
!        { "/_Help/Command line options",    NULL,         command_event,  0,   NULL             },
!        { "/_Help/How to use",              NULL,         use_event,      0,   NULL             },
!        { "/_Help/About",                   NULL,         about_event,    0,   NULL             },
       };
    GtkItemFactory *item_factory;
    GtkAccelGroup *accel_group;
--- 1928,1944 ----
  #endif
    GdkColor dircolor,linkcolor;
    GtkItemFactoryEntry menu_items[] = {
!        { "/_F ¥Õ¥¡¥¤¥ë",                         NULL,         NULL,           0,   "<Branch>"       },
!        { "/F ¥Õ¥¡¥¤¥ë/½ªÎ»",                     "<control>Q", NULL,           0,   NULL             },
!        { "/_S ÀßÄê",                      NULL,         NULL,           0,   "<Branch>"       },
!        { "/S ÀßÄê/Á´ÉôÉ½¼¨",        "<control>D", NULL,           0,   "<CheckItem>"    },
!        { "/S ÀßÄê/¥Æ¥­¥¹¥È¥â¡¼¥É¤Ç¥³¥Ô¡¼", "<control>T", NULL,           0,   "<CheckItem>"    },
!        { "/S ÀßÄê/Separater",             NULL,         NULL,           0,   "<Separator>"    },
!        { "/S ÀßÄê/mfm¤ÎÀßÄê ...",     "<control>C", NULL,           0,   NULL             },
!        { "/_H ¥Ø¥ë¥×",                         NULL,         NULL,           0,   "<LastBranch>"   },
!        { "/_H ¥Ø¥ë¥×/¥³¥Þ¥ó¥É¥é¥¤¥ó¥ª¥×¥·¥ç¥ó",    NULL,         command_event,  0,   NULL             },
!        { "/_H ¥Ø¥ë¥×/»È¤¤¤«¤¿",              NULL,         use_event,      0,   NULL             },
!        { "/_H ¥Ø¥ë¥×/mfm¤Ë¤Ä¤¤¤Æ",                   NULL,         about_event,    0,   NULL             },
       };
    GtkItemFactory *item_factory;
    GtkAccelGroup *accel_group;
***************
*** 1949,1954 ****
--- 1948,1954 ----
    char *cfname;
    int i,nosysconf=0,nouserconf=0,aflag=1,bflag=1;
  
+   gtk_set_locale ();
    gtk_init (&argc, &argv);
  
    putenv("MTOOLS_DATE_STRING=mm-dd-yyyy");
***************
*** 2026,2044 ****
    gtk_container_add(GTK_CONTAINER(window),box);
  
    tooltips=gtk_tooltips_new ();
!   
!   /* menu */
    accel_group=gtk_accel_group_new();
    item_factory=gtk_item_factory_new(GTK_TYPE_MENU_BAR,"<main>",accel_group);
    gtk_item_factory_create_items (item_factory,sizeof(menu_items)/sizeof(menu_items[0]),menu_items,NULL);
    gtk_accel_group_attach(accel_group,GTK_OBJECT(window));
    menubar=gtk_item_factory_get_widget(item_factory,"<main>");
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/File/Quit")),
  		     "activate",GTK_SIGNAL_FUNC(quit_event),&left);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/Options/Configure mfm ...")),
  		     "activate",GTK_SIGNAL_FUNC(config_event),&left);
!   showdots=gtk_item_factory_get_widget(item_factory,"/Options/Show dot files");
!   textmode=gtk_item_factory_get_widget(item_factory,"/Options/Text mode for copying");
    gtk_signal_connect(GTK_OBJECT(showdots),"toggled",GTK_SIGNAL_FUNC(refresh_event),&left);
    gtk_signal_connect(GTK_OBJECT(showdots),"toggled",GTK_SIGNAL_FUNC(refresh_event),&right);
    gtk_box_pack_start (GTK_BOX(box),menubar,FALSE,TRUE,0);
--- 2026,2044 ----
    gtk_container_add(GTK_CONTAINER(window),box);
  
    tooltips=gtk_tooltips_new ();
! 
!    /* menu */
    accel_group=gtk_accel_group_new();
    item_factory=gtk_item_factory_new(GTK_TYPE_MENU_BAR,"<main>",accel_group);
    gtk_item_factory_create_items (item_factory,sizeof(menu_items)/sizeof(menu_items[0]),menu_items,NULL);
    gtk_accel_group_attach(accel_group,GTK_OBJECT(window));
    menubar=gtk_item_factory_get_widget(item_factory,"<main>");
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/F ¥Õ¥¡¥¤¥ë/½ªÎ»")),
  		     "activate",GTK_SIGNAL_FUNC(quit_event),&left);
!   gtk_signal_connect(GTK_OBJECT(gtk_item_factory_get_widget(item_factory,"/S ÀßÄê/mfm¤ÎÀßÄê ...")),
  		     "activate",GTK_SIGNAL_FUNC(config_event),&left);
!   showdots=gtk_item_factory_get_widget(item_factory,"/S ÀßÄê/Á´ÉôÉ½¼¨");
!   textmode=gtk_item_factory_get_widget(item_factory,"/S ÀßÄê/¥Æ¥­¥¹¥È¥â¡¼¥É¤Ç¥³¥Ô¡¼");
    gtk_signal_connect(GTK_OBJECT(showdots),"toggled",GTK_SIGNAL_FUNC(refresh_event),&left);
    gtk_signal_connect(GTK_OBJECT(showdots),"toggled",GTK_SIGNAL_FUNC(refresh_event),&right);
    gtk_box_pack_start (GTK_BOX(box),menubar,FALSE,TRUE,0);
***************
*** 2052,2070 ****
    gtk_widget_show(box);
  
    /* left */
!   gtk_box_pack_start(GTK_BOX(inbox),create_side(&left,"Copy >>>"),TRUE,TRUE,0);
  
    /* middle */
    middlebox=gtk_vbox_new(FALSE,10);
    gtk_box_pack_start(GTK_BOX(inbox),middlebox,FALSE,TRUE,10);
  
!   button=gtk_button_new_with_label ("->\nCopy");
    gtk_tooltips_set_tip(tooltips,button,"Copy file(s) from left to right window",NULL);
    gtk_box_pack_start(GTK_BOX(middlebox),button,TRUE,FALSE,10);
    gtk_widget_show(button);
    gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(copy_event),&left);
  
!   button=gtk_button_new_with_label ("Copy\n<-");
    gtk_tooltips_set_tip(tooltips,button,"Copy file(s) from right to left window",NULL);
    gtk_box_pack_start(GTK_BOX(middlebox),button,TRUE,FALSE,10);
    gtk_widget_show(button);
--- 2052,2070 ----
    gtk_widget_show(box);
  
    /* left */
!   gtk_box_pack_start(GTK_BOX(inbox),create_side(&left,"¥³¥Ô¡¼ >>>"),TRUE,TRUE,0);
  
    /* middle */
    middlebox=gtk_vbox_new(FALSE,10);
    gtk_box_pack_start(GTK_BOX(inbox),middlebox,FALSE,TRUE,10);
  
!   button=gtk_button_new_with_label ("->\n¥³¥Ô¡¼");
    gtk_tooltips_set_tip(tooltips,button,"Copy file(s) from left to right window",NULL);
    gtk_box_pack_start(GTK_BOX(middlebox),button,TRUE,FALSE,10);
    gtk_widget_show(button);
    gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(copy_event),&left);
  
!   button=gtk_button_new_with_label ("¥³¥Ô¡¼\n<-");
    gtk_tooltips_set_tip(tooltips,button,"Copy file(s) from right to left window",NULL);
    gtk_box_pack_start(GTK_BOX(middlebox),button,TRUE,FALSE,10);
    gtk_widget_show(button);
